Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.nailgun
Class NGExitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.SecurityException
                      org.apache.tools.ant.ExitException
                          com.martiansoftware.nailgun.NGExitException

All Implemented Interfaces:
  Serializable

public class NGExitException
extends org.apache.tools.ant.ExitException

Security exception which wraps an exit status code.

Author:
  Pete Kirkham
See Also:
  Serialized Form

Constructor Summary
`NGExitException(int status)`

Method Summary
`void` | `printStackTrace(PrintStream out)` A lot of code out there, for example ant's Launcher, runs inside a try/catch (Throwable) which will squash this exception; most also calll printStackTrace(), so this re-throws the exception to escape the handling code.
`void` | `reallyPrintStackTrace(PrintStream out)`

Methods inherited from class org.apache.tools.ant.ExitException
`getStatus`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NGExitException

    public NGExitException(int status)

Method Detail

### printStackTrace

    public void printStackTrace(PrintStream out)

  A lot of code out there, for example ant's Launcher, runs inside a try/catch (Throwable) which will squash this exception; most also calll printStackTrace(), so this re-throws the exception to escape the handling code.

### reallyPrintStackTrace

    public void reallyPrintStackTrace(PrintStream out)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2004, Martian Software, Inc.